## rivendell.spec.in
##
##    The Rivendell Radio Automation System
##    Copyright (C) 2002-2003  Fred Gleason <fredg@paravelsystems.com>
##
##      $Id: rivendell.spec.in,v 1.77 2007/12/17 15:11:03 fredg Exp $
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: A Radio Broadcast Automation System
Name: rivendell
Version: 0.9.84
Release: 1
License: GPL
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: ftp://ftp.salemradiolabs.com/pub/srlabs/rivendell/rivendell-0.9.84.tar.gz
Requires: sox cdparanoia qt3-mysql mysql-shared mpg321 bc wget samba-client lftp cdda2wav
BuildRoot: /var/tmp/rivendell-0.9.84

%package importers
Summary: Library importers for the Rivendell Broadcast Automation System
Group: Productivity/Multimedia/Other
Requires: rivendell


%package web
Summary: Web scripts for the Rivendell Broadcast Automation System
Group: Productivity/Multimedia/Other
Requires: rivendell apache2


%description
Rivendell aims to be a complete radio broadcast automation solution, with
facilities for the acquisition, management, scheduling and playout of
audio content.


%description importers
This package contains various importer scripts, which can be used to
import audio from existing legacy automation systems into Rivendell.
Currently, scripts exist for the AirForce Wings and Sierra
Automated Systems SASAuto systems.  Additionally, scripts for
initializing switcher matrices for the Christian Radio Consortium
(CRC) Unity4000 network and copying RDCatch event lists between hosts
are included.


%description web
This package contains the web scripts for the RSS podcasting system in
Rivendell.


%prep


%setup


%build
./configure --prefix=/usr/local --libexecdir=/srv/www/rd-bin
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/local/lib
cp lib/.libs/librd-0.9.84.so $RPM_BUILD_ROOT/usr/local/lib/
ln -s /usr/local/lib/librd-0.9.84.so $RPM_BUILD_ROOT/usr/local/lib/librd.so
cp lib/.libs/librd.a $RPM_BUILD_ROOT/usr/local/lib/
cp lib/.libs/librd.la $RPM_BUILD_ROOT/usr/local/lib/
cp rdhpi/.libs/librdhpi-0.9.84.so $RPM_BUILD_ROOT/usr/local/lib/
ln -s /usr/local/lib/librdhpi-0.9.84.so $RPM_BUILD_ROOT/usr/local/lib/librdhpi.so
cp rdhpi/.libs/librdhpi.a $RPM_BUILD_ROOT/usr/local/lib/
cp rdhpi/.libs/librdhpi.la $RPM_BUILD_ROOT/usr/local/lib/
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
cp cae/.libs/caed $RPM_BUILD_ROOT/usr/local/bin/
cp rdadmin/.libs/rdadmin $RPM_BUILD_ROOT/usr/local/bin/
cp rdairplay/.libs/rdairplay $RPM_BUILD_ROOT/usr/local/bin/
cp rdpanel/.libs/rdpanel $RPM_BUILD_ROOT/usr/local/bin/
cp rdcatch/.libs/rdcatch $RPM_BUILD_ROOT/usr/local/bin/
cp rdcatchd/.libs/rdcatchd $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdgen/rdgen $RPM_BUILD_ROOT/usr/local/bin/
cp rdlibrary/.libs/rdlibrary $RPM_BUILD_ROOT/usr/local/bin/
cp rdlogedit/.libs/rdlogedit $RPM_BUILD_ROOT/usr/local/bin/
cp rdlogmanager/.libs/rdlogmanager $RPM_BUILD_ROOT/usr/local/bin/
cp rdcastmanager/.libs/rdcastmanager $RPM_BUILD_ROOT/usr/local/bin/
cp rdlogin/.libs/rdlogin $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rmlsend/.libs/rmlsend $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdgpimon/.libs/rdgpimon $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdfilewrite/.libs/rdfilewrite $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdimport/.libs/rdimport $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdhpiinfo/.libs/rdhpiinfo $RPM_BUILD_ROOT/usr/local/bin/
cp utils/rdpurgecasts/.libs/rdpurgecasts $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/rd_rip_cd $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/rd_import_file $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/rd_export_file $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/rd_audio_sync $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/rd_config $RPM_BUILD_ROOT/usr/local/bin/
cp ripcd/.libs/ripcd $RPM_BUILD_ROOT/usr/local/bin/
cp toolame/toolame $RPM_BUILD_ROOT/usr/local/bin/
cp importers/.libs/wings_filter $RPM_BUILD_ROOT/usr/local/bin/
cp importers/.libs/sas_filter $RPM_BUILD_ROOT/usr/local/bin/
cp scripts/crc-unity4k.sh $RPM_BUILD_ROOT/usr/local/bin/
cp importers/.libs/rdcatch_copy $RPM_BUILD_ROOT/usr/local/bin/
cp importers/.libs/panel_copy $RPM_BUILD_ROOT/usr/local/bin/
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
cp utils/sas_shim/.libs/sas_shim $RPM_BUILD_ROOT/usr/local/sbin/
cp utils/rddbcheck/.libs/rddbcheck $RPM_BUILD_ROOT/usr/local/sbin/
mkdir -p $RPM_BUILD_ROOT/srv/www/rd-bin
cp web/rdfeed/.libs/rdfeed.xml $RPM_BUILD_ROOT/srv/www/rd-bin/
cp web/rdcastmanager/.libs/rdcastmanager.cgi $RPM_BUILD_ROOT/srv/www/rd-bin/
ln -s /srv/www/rd-bin/rdfeed.xml $RPM_BUILD_ROOT/srv/www/rd-bin/rdfeed.mp3
cp icons/greencheckmark.png $RPM_BUILD_ROOT/srv/www/rd-bin/
cp icons/redx.png $RPM_BUILD_ROOT/srv/www/rd-bin/
cp icons/greenball.png $RPM_BUILD_ROOT/srv/www/rd-bin/
cp icons/redball.png $RPM_BUILD_ROOT/srv/www/rd-bin/
cp icons/whiteball.png $RPM_BUILD_ROOT/srv/www/rd-bin/
mkdir -p $RPM_BUILD_ROOT/usr/local/share/srlabs
cp lib/librd_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdadmin/rdadmin_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdairplay/rdairplay_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdpanel/rdpanel_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdcatch/rdcatch_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdlibrary/rdlibrary_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdlogedit/rdlogedit_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdlogin/rdlogin_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp rdlogmanager/rdlogmanager_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp utils/rdgpimon/rdgpimon_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
cp utils/rmlsend/rmlsend_es.qm $RPM_BUILD_ROOT/usr/local/share/srlabs/
mkdir -p $RPM_BUILD_ROOT/etc/apache2/conf.d
cp conf/rd-bin.conf $RPM_BUILD_ROOT/etc/apache2/conf.d/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp rivendell $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp rivendell.sys $RPM_BUILD_ROOT/etc/sysconfig/rivendell
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/16x16/apps
cp icons/rivendell-16x16.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/16x16/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/22x22/apps
cp icons/rivendell-22x22.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/22x22/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/32x32/apps
cp icons/rivendell-32x32.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/32x32/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/48x48/apps
cp icons/rivendell-48x48.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/48x48/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/64x64/apps
cp icons/rivendell-64x64.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/64x64/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/128x128/apps
cp icons/rivendell-128x128.xpm $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/128x128/apps/rivendell.xpm
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp xdg/rdadmin.desktop $RPM_BUILD_ROOT/usr/share/applications/rdadmin.desktop
cp xdg/rdlogin.desktop $RPM_BUILD_ROOT/usr/share/applications/rdlogin.desktop
cp xdg/rdairplay.desktop $RPM_BUILD_ROOT/usr/share/applications/rdairplay.desktop
cp xdg/rdpanel.desktop $RPM_BUILD_ROOT/usr/share/applications/rdpanel.desktop
cp xdg/rdcatch.desktop $RPM_BUILD_ROOT/usr/share/applications/rdcatch.desktop
cp xdg/rdgpimon.desktop $RPM_BUILD_ROOT/usr/share/applications/rdgpimon.desktop
cp xdg/rdhpiinfo.desktop $RPM_BUILD_ROOT/usr/share/applications/rdhpiinfo.desktop
cp xdg/rdlibrary.desktop $RPM_BUILD_ROOT/usr/share/applications/rdlibrary.desktop
cp xdg/rdlogedit.desktop $RPM_BUILD_ROOT/usr/share/applications/rdlogedit.desktop
cp xdg/rdlogmanager.desktop $RPM_BUILD_ROOT/usr/share/applications/rdlogmanager.desktop
cp xdg/rdcastmanager.desktop $RPM_BUILD_ROOT/usr/share/applications/rdcastmanager.desktop
cp xdg/rmlsend.desktop $RPM_BUILD_ROOT/usr/share/applications/rmlsend.desktop

%post
ldconfig
mkdir -p -m 777 /var/run/rivendell

%post web
/etc/init.d/apache2 restart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/lib/librd-0.9.84.so
/usr/local/lib/librd.a
/usr/local/lib/librd.la
/usr/local/lib/librd.so
/usr/local/lib/librdhpi-0.9.84.so
/usr/local/lib/librdhpi.a
/usr/local/lib/librdhpi.la
/usr/local/lib/librdhpi.so
%attr(4755,root,root) /usr/local/bin/caed
/usr/local/bin/rdadmin
/usr/local/bin/rdairplay
/usr/local/bin/rdpanel
/usr/local/bin/rdcatch
%attr(4755,root,root)/usr/local/bin/rdcatchd
/usr/local/bin/rdgen
/usr/local/bin/rdlibrary
/usr/local/bin/rdlogedit
/usr/local/bin/rdlogmanager
/usr/local/bin/rdcastmanager
/usr/local/bin/rdlogin
/usr/local/bin/rmlsend
/usr/local/bin/rdhpiinfo
/usr/local/bin/rdgpimon
/usr/local/bin/rdfilewrite
/usr/local/bin/rdimport
/usr/local/bin/rdpurgecasts
/usr/local/bin/rd_rip_cd
/usr/local/bin/rd_import_file
/usr/local/bin/rd_export_file
/usr/local/bin/rd_audio_sync
/usr/local/bin/rd_config
%attr(4755,root,root)/usr/local/bin/ripcd
/usr/local/bin/toolame
/usr/local/sbin/sas_shim
/usr/local/sbin/rddbcheck
/usr/local/share/srlabs/librd_es.qm
/usr/local/share/srlabs/rdadmin_es.qm
/usr/local/share/srlabs/rdairplay_es.qm
/usr/local/share/srlabs/rdpanel_es.qm
/usr/local/share/srlabs/rdcatch_es.qm
/usr/local/share/srlabs/rdlibrary_es.qm
/usr/local/share/srlabs/rdlogedit_es.qm
/usr/local/share/srlabs/rdlogin_es.qm
/usr/local/share/srlabs/rdlogmanager_es.qm
/usr/local/share/srlabs/rdgpimon_es.qm
/usr/local/share/srlabs/rmlsend_es.qm
/etc/init.d/rivendell
%config /etc/sysconfig/rivendell
/opt/kde3/share/icons/hicolor/16x16/apps/rivendell.xpm
/opt/kde3/share/icons/hicolor/22x22/apps/rivendell.xpm
/opt/kde3/share/icons/hicolor/32x32/apps/rivendell.xpm
/opt/kde3/share/icons/hicolor/48x48/apps/rivendell.xpm
/opt/kde3/share/icons/hicolor/64x64/apps/rivendell.xpm
/opt/kde3/share/icons/hicolor/128x128/apps/rivendell.xpm
/usr/share/applications/rdadmin.desktop
/usr/share/applications/rdlogin.desktop
/usr/share/applications/rdairplay.desktop
/usr/share/applications/rdpanel.desktop
/usr/share/applications/rdcatch.desktop
/usr/share/applications/rdgpimon.desktop
/usr/share/applications/rdhpiinfo.desktop
/usr/share/applications/rdlibrary.desktop
/usr/share/applications/rdlogedit.desktop
/usr/share/applications/rdlogmanager.desktop
/usr/share/applications/rdcastmanager.desktop
/usr/share/applications/rmlsend.desktop

%doc AUTHORS
%doc ChangeLog
%doc COPYING 
%doc INSTALL 
%doc NEWS 
%doc README 
%doc SupportedCards 
%doc ToDo 
%doc CODINGSTYLE
%doc conf/rd.conf-sample
%doc conf/rd.conf-complete-sample
%doc conf/my.cnf-master
%doc conf/my.cnf-standby
%doc docs/cae.sxw 
%doc docs/catchd.txt 
%doc docs/colors 
%doc docs/GPIO.txt 
%doc docs/ripc.txt 
%doc docs/SWITCHERS.txt
%doc docs/JACK.txt
%doc docs/pam_rd.txt
%doc docs/rml.sxw
%doc docs/tables/audio_perms.txt 
%doc docs/tables/audio_ports.txt 
%doc docs/tables/cart.txt 
%doc docs/tables/clipboard.txt 
%doc docs/tables/cuts.txt 
%doc docs/tables/decks.txt 
%doc docs/tables/displays.txt 
%doc docs/tables/groups.txt 
%doc docs/tables/log_format.txt 
%doc docs/tables/logs.txt 
%doc docs/tables/panels.txt 
%doc docs/tables/rd_airplay.txt 
%doc docs/tables/rd_library.txt 
%doc docs/tables/rd_logedit.txt 
%doc docs/tables/recordings.txt 
%doc docs/tables/services.txt 
%doc docs/tables/sources.txt 
%doc docs/tables/svc_rec_format.txt
%doc docs/tables/stations.txt 
%doc docs/tables/triggers.txt 
%doc docs/tables/ttys.txt 
%doc docs/tables/users.txt 
%doc docs/tables/version.txt 
%doc toolame/FUTURE 
%doc toolame/HISTORY 
%doc toolame/LGPL.txt 
%doc toolame/README
%doc docs/implemented_macros.txt
%doc utils/sas_shim/rc.sas_shim
%doc docs/reports.txt
%doc docs/NOW+NEXT.txt
%doc docs/WIN32.txt
%doc docs/ALSA.txt
%doc scripts/rd_backup
%doc icons/rivendell-16x16.xpm
%doc icons/rivendell-22x22.xpm
%doc icons/rivendell-32x32.xpm
%doc icons/rivendell-48x48.xpm
%doc icons/rivendell-64x64.xpm
%doc icons/rivendell-128x128.xpm


%files importers
/usr/local/bin/wings_filter
/usr/local/bin/sas_filter
/usr/local/bin/crc-unity4k.sh
/usr/local/bin/rdcatch_copy
/usr/local/bin/panel_copy
%doc docs/WINGS_FILTER.txt


%files web
/srv/www/rd-bin/rdfeed.xml
/srv/www/rd-bin/rdfeed.mp3
/srv/www/rd-bin/rdcastmanager.cgi
/srv/www/rd-bin/greencheckmark.png
/srv/www/rd-bin/redx.png
/srv/www/rd-bin/greenball.png
/srv/www/rd-bin/redball.png
/srv/www/rd-bin/whiteball.png
/etc/apache2/conf.d/rd-bin.conf


%changelog
* Mon Dec 17 2007 Fred Gleason <fredg@paravelsystems.com>
-- Fixed broken symlink library paths for x86_64.
* Fri Dec 14 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added support for x86_64 architecture.
-- Fixed broken symlink creation for 'rdfeed.mp3'.
-- Fixed broken cdda2wav dependency for OpenSuSE 10.3.
* Mon Nov 27 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added 'rdfeed.mp3' symlink to 'rdfeed.xml'.
-- Added 'whiteball.png' to the web subpackage.
* Tue Oct 10 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added 'rdcastmanager.cgi'.
* Mon Sep 24 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added the 'web' subpackage.
-- Added RDCastManager.
-- Added rdpurgecast.
* Mon Sep 24 2007 Fred Gleason <fredg@paravelsystems.com>
-- Replaced the 'lukemftp' dependency with 'lftp'.
* Fri Sep 14 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added RDHPIInfo.
* Fri Sep 14 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added librhpi.
* Fri Jun 08 2007 Fred Gleason <fredg@paravelsystems.com>
-- Added RDPanel.
* Sun Sep 03 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Removed the rdbackup script.
-- Added the rd_backup script.
* Tue Aug 29 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Added RDDbCheck and RDBackup scripts.
* Thu Jul 06 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Added the '%config' tag to /etc/sysconfig/rivendell.
* Thu Jun 25 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Added an XDG file for RDLogin.
* Fri Mar 24 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Updated to reflect new layout of the 'utils/' directory.
* Thu Mar 09 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Removed the conditional installation of RDImport.
* Mon Feb 14 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Altered the install section so as not to use 'make install'.
* Tue Feb 14 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Removed RDPanel.
* Wed Feb 08 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Altered install paths to use $prefix value from Autoconf.
* Fri Feb 03 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Added a 'cdda2wav' dependency.
* Wed Jan 04 2006 Fred Gleason <fredg@salemradiolabs.com>
-- Added the 'rdfilewrite' utility.
* Wed Dec 14 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added the 'panel_copy' filter script.
* Mon Nov 07 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/tables/svc_rec_format.txt'.
* Fri Nov 04 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Removed dependencies for 'update-desktop-files' and 'gettext'.
* Thu Nov 04 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added dependencies for 'update-desktop-files' and 'gettext'.
* Tue Nov 01 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added SuSE desktop integration.
* Thu Oct 27 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added the 'rivendell.xpm' icon.
* Mon Oct 24 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added the 'rd_logedit.txt' table description.
* Mon Aug 29 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added the 'rdcatch_copy' filter script.
* Fri Aug 12 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added an 'importers' subpackage.
* Sun Aug 07 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/WINGS_FILTER.txt'.
* Tue Aug 02 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added the /usr/local/bin/rd_export_file script.
* Sun Jul 24 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added dependencies for 'wget', 'samba-client' and 'lukemftp'.
* Fri Jun 10 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added a Spanish [es] translation.
* Wed Jun 01 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Changed the 'mpg123' dependency to 'mpg321'.
* Fri Apr 29 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/ALSA.txt' to the %doc rule.
* Mon Feb 21 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Changed the invocation of '/sbin/ldconfig' to 'ldconfig'.
* Mon Jan 31 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'bc' to Requires:
* Fri Jan 28 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'mpg123' to Requires:
* Tue Jan 04 2005 Fred Gleason <fredg@salemradiolabs.com>
-- Added RDImport to the files list.
* Thu Dec 09 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/WIN32.txt' to the %doc rule.
* Wed Dec 08 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/NOW+NEXT.txt' to the %doc rule.
* Tue Nov 23 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/reports.txt' to the %doc rule.
* Thu Nov 04 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'conf/my.cnf-master' to the %doc rule.
-- Added 'conf/my.cnf-standby' to the %doc rule.
-- Added 'docs/rml.sxw' to the %doc rule.
-- Added '/usr/local/bin/rd_audio_sync'.
-- Added '/usr/local/bin/rd_config'.
* Mon Nov 01 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added RDGpiMon.
* Tue Sep 14 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Removed GPITest and GPOTest.
* Thu Aug 26 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added RDImport.
* Wed Jul 28 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added '/etc/sysconfig/rivendell'.
* Fri Jun 26 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/JACK.txt'.
* Wed Jun 09 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added a rule to %post to create the pidfile directory.
-- Made 'caed', 'ripcd' and 'rdcatchd' SETUID root.
* Mon Jun 07 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'RDLogManager'
* Tue Jun 01 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Removed 'RDPlay', 'RDRecord' and 'mpeg2wav'.
* Tue May 04 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'librd' shared library.
* Mon May 03 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added a dependency for 'mysql-shared'.
-- Added 'rd_import_file'.
* Wed Apr 28 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'rdpanel'
* Thu Feb 05 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/SWITCHERS.txt'.
* Thu Jan 29 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'sas_shim'.
* Wed Jan 28 2004 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'docs/implemented_macros.txt' to the documentation directory.
* Wed Dec 23 2003 Fred Gleason <fredg@salemradiolabs.com>
-- Added a dependency for 'qt3-mysql'.
-- Added install rule for 'rc.rivendell'.
* Thu Dec 11 2003 Fred Gleason <fredg@salemradiolabs.com>
-- Added 'conf/rd.conf-sample' and 'conf/rd.conf-complete-sample' to
   the doc directory
* Tue Dec 09 2003 Fred Gleason <fredg@salemradiolabs.com>
-- Added dependencies for sox and cdparanoia.
* Sun Dec 07 2003 Fred Gleason <fredg@salemradiolabs.com>
-- Initial spec file creation.
